{
  "virtualflag" : 0,
  "psdataentityname" : "CONTRACTCHANGESRECORD",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "CONTRACTCHANGESRECORD",
  "noviewmode" : 1,
  "createdate" : "2021-02-05 14:22:06",
  "storagemode" : 1,
  "logicname" : "合同变更记录",
  "existingmodel" : 1,
  "enatempdata" : 0,
  "systemflag" : 0,
  "tablename" : "CONTRACTCHANGESRECORD",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2021-02-05 14:22:07",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "DRGroup",
    "createdate" : "2021-02-05 14:22:08",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "enableuserinput" : 3,
    "psdefieldname" : "CHANGECONTENT",
    "psdatatypename" : "长文本，长度1000",
    "pssysdbcolumnid" : "DEFAULT/CONTRACTCHANGESRECORD/CHANGECONTENT",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Changecontent",
    "psdatatypeid" : "LONGTEXT_1000",
    "createdate" : "2021-02-05 16:39:34",
    "psdetableid" : "<PSDATAENTITY>/CONTRACTCHANGESRECORD",
    "pkey" : 0,
    "length" : 4000,
    "logicname" : "合同变更内容",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "CONTRACTCHANGESRECORD",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-05 16:39:34",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CHANGECONTENT][合同变更内容]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-05 16:39:34",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CHANGECONTENT][合同变更内容]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CHANGECONTENT",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-05 16:39:34"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CONTRACTCHANGESRECORDID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/CONTRACTCHANGESRECORD/CONTRACTCHANGESRECORDID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Contractchangesrecordid",
    "psdatatypeid" : "GUID",
    "createdate" : "2021-02-05 14:25:59",
    "psdetableid" : "<PSDATAENTITY>/CONTRACTCHANGESRECORD",
    "pkey" : 1,
    "length" : 200,
    "logicname" : "合同变更记录标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONTRACTCHANGESRECORD",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-05 14:26:00",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CONTRACTCHANGESRECORDID][合同变更记录标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-05 14:26:00",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CONTRACTCHANGESRECORDID][合同变更记录标识]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CONTRACTCHANGESRECORDID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-05 14:26:00"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CONTRACTCHANGESRECORDNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CONTRACTCHANGESRECORD/CONTRACTCHANGESRECORDNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Contractchangesrecordname",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-05 14:26:26",
    "psdetableid" : "<PSDATAENTITY>/CONTRACTCHANGESRECORD",
    "pkey" : 0,
    "length" : 200,
    "logicname" : "合同变更记录名称",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "CONTRACTCHANGESRECORD",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-05 14:26:26",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CONTRACTCHANGESRECORDNAME][合同变更记录名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-05 14:26:26",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CONTRACTCHANGESRECORDNAME][合同变更记录名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_CONTRACTCHANGESRECORDNAME_LIKE",
      "createdate" : "2021-02-05 14:26:26"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CONTRACTCHANGESRECORDNAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-05 14:26:26"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/CONTRACTCHANGESRECORD/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-02-05 14:29:59",
    "psdetableid" : "<PSDATAENTITY>/CONTRACTCHANGESRECORD",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONTRACTCHANGESRECORD",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-05 14:29:59",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-05 14:29:59",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-05 14:29:59"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CONTRACTCHANGESRECORD/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-05 14:29:23",
    "psdetableid" : "<PSDATAENTITY>/CONTRACTCHANGESRECORD",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONTRACTCHANGESRECORD",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-05 14:29:24",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEMAN][更新人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-05 14:29:24",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEMAN][更新人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-05 14:29:24"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "OBJECTID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CONTRACTCHANGESRECORD/OBJECTID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ObjectId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-05 16:23:51",
    "psdetableid" : "<PSDATAENTITY>/CONTRACTCHANGESRECORD",
    "pkey" : 0,
    "length" : 100,
    "logicname" : "对象标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONTRACTCHANGESRECORD",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-05 16:23:51",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[OBJECTID][对象标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-05 16:23:51",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[OBJECTID][对象标识]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_OBJECTID_EQ",
      "createdate" : "2021-03-12 18:45:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OBJECTID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-05 16:23:51"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/CONTRACTCHANGESRECORD/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-02-05 14:30:47",
    "psdetableid" : "<PSDATAENTITY>/CONTRACTCHANGESRECORD",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONTRACTCHANGESRECORD",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-05 14:30:47",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-05 14:30:48",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-05 14:30:47"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CONTRACTCHANGESRECORD/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-05 14:30:17",
    "psdetableid" : "<PSDATAENTITY>/CONTRACTCHANGESRECORD",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONTRACTCHANGESRECORD",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-05 14:30:18",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-05 14:30:18",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-05 14:30:17"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2021-02-05 14:22:07",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2021-02-05 14:22:07",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2021-02-05 14:22:07",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2021-02-05 14:22:07",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/CONTRACTCHANGESRECORD",
    "psdetablename" : "CONTRACTCHANGESRECORD",
    "tabletype" : "MAIN",
    "createdate" : "2021-02-05 14:22:06",
    "colinheritmode" : 1
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `CONTRACTCHANGESRECORD`(\n`CONTRACTCHANGESRECORDID`  VARCHAR(200)  NOT NULL PRIMARY KEY COMMENT '合同变更记录标识' \n,`CONTRACTCHANGESRECORDNAME`  VARCHAR(200) COMMENT '合同变更记录名称' \n,`CREATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`OBJECTID`  VARCHAR(100) COMMENT '对象标识' \n,`CHANGECONTENT`  VARCHAR(4000) COMMENT '合同变更内容' \n)COMMENT='合同变更记录';",
    "testsql" : "SELECT 1 FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "b647a26561cc9663d31ae49eb717e581",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CONTRACTCHANGESRECORD",
    "createdate" : "2021-02-05 14:26:49"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD.CHANGECONTENT",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONTRACTCHANGESRECORD`\nADD COLUMN `CHANGECONTENT`  VARCHAR(4000)  COMMENT '合同变更内容' \n",
    "testsql" : "SELECT `CHANGECONTENT` FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "feefe5bdaf384338a01b270dc1c01985",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CHANGECONTENT",
    "createdate" : "2021-02-05 16:39:51"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD.CONTRACTCHANGESRECORDID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONTRACTCHANGESRECORD`\nADD COLUMN `CONTRACTCHANGESRECORDID`  VARCHAR(200)  COMMENT '合同变更记录标识' \n",
    "testsql" : "SELECT `CONTRACTCHANGESRECORDID` FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "9091d6262f33e690293f333c56000564",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CONTRACTCHANGESRECORDID",
    "createdate" : "2021-02-05 14:26:49"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD.CONTRACTCHANGESRECORDNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONTRACTCHANGESRECORD`\nADD COLUMN `CONTRACTCHANGESRECORDNAME`  VARCHAR(200)  COMMENT '合同变更记录名称' \n",
    "testsql" : "SELECT `CONTRACTCHANGESRECORDNAME` FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "0a2728e7a481e524ada19c9178f161f1",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CONTRACTCHANGESRECORDNAME",
    "createdate" : "2021-02-05 14:26:49"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONTRACTCHANGESRECORD`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "b7d5f643456de322155764f5e39746fa",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2021-02-05 14:33:44"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONTRACTCHANGESRECORD`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "fcd5a81fb37ed79eeb7287b92d98b1f9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2021-02-05 14:33:44"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD.OBJECTID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONTRACTCHANGESRECORD`\nADD COLUMN `OBJECTID`  VARCHAR(100)  COMMENT '对象标识' \n",
    "testsql" : "SELECT `OBJECTID` FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "1a163d6d6b87f24031bbb7d4a7793525",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OBJECTID",
    "createdate" : "2021-02-05 16:26:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONTRACTCHANGESRECORD`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "d4561399852fe1a2060a949676ecd6ac",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2021-02-05 14:33:44"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONTRACTCHANGESRECORD.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONTRACTCHANGESRECORD`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `CONTRACTCHANGESRECORD` WHERE 1<>1",
    "psobjid" : "a89768ca46e0f178c78a795419558ce4",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2021-02-05 14:33:44"
  } ]
}